function vox = get_vox(vox)
% Get voxel size for output images
% FORMAT vox = get_vox(vox)
if ~nargin
    vox=1;
end
tmp2 = [1 2 -1 -2];
tmp = find(tmp2 == vox);
if isempty(tmp), tmp = length(tmp2); end;
vox = spm_input('Voxel size for output images?','+1','m',...
    '[1 1 1]|[2 2 2]|preserve original|input from keybd', tmp2, tmp);
if vox==-2
    vox = spm_input('Voxel size for output images?','+1','i',[1 1 1]);
elseif vox==-1
    vox='';
end
return;